// Copyright (c) 2012 The Chromium Authors. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

// Contains all the settings that may need massaging by the build script.
// Keeping all that centralized here allows us to use symlinks for the other
// files making for a faster compile/run cycle when only modifying HTML/JS.

/** @suppress {duplicate} */
var remoting = remoting || {};

/**
 * @type {string} The MIME type of the Host plugin.
 */
remoting.PLUGIN_MIMETYPE = 'application/vnd.chromium.remoting-host';

/**
 * @type {boolean} Flag that indicates whether official client ID should
 *                 be used.
 */
remoting.OAuth2.prototype.USE_OFFICIAL_CLIENT_ID =
    false;

/**
 * @type {string} The OAuth2 redirect URL.
 * @private
 */
remoting.OAuth2.prototype.REDIRECT_URI_ = 'https://talkgadget.google.com/talkgadget/oauth/chrome-remote-desktop/dev';

// Constants for parameters used in retrieving the OAuth2 credentials.
/** @private */
remoting.OAuth2.prototype.CLIENT_ID_ = '440925447803-2pi3v45bff6tp1rde2f7q6lgbor3o5uj.apps.googleusercontent.com';
/** @private */
remoting.OAuth2.prototype.CLIENT_SECRET_ = 'W2ieEsG-R1gIA4MMurGrgMc_';
